com.beaglebuddy.mpeg.enums

## Enum SurroundInfo

- java.lang.Object
- - java.lang.Enum<SurroundInfo>
  - - com.beaglebuddy.mpeg.enums.SurroundInfo

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SurroundInfo>

      public enum SurroundInfo
      extends java.lang.Enum<SurroundInfo>

  The list of surround information types supported by the LAME encoder.
  See Also:
    `LAMEHeader`, LAME Header Format

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AMBISONIC` ambisonic encoding
    `DPL_ENCODING` DPL encoding
    `DPL2_ENCODING` DPL2 encoding
    `NONE` none
    `RESERVED` unknown
    `UNKNOWN_1` unknown
    `UNKNOWN_2` unknown
    `UNKNOWN_3` unknown
    `UNKNOWN_4` unknown

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` gets the name of the surround info.
    `java.lang.String` | `toString()` gets a string representation of the surround info enum.
    `static SurroundInfo` | `valueOf(int info)` converts an integral value to its corresponding LAME surround info enum.
    `static SurroundInfo` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SurroundInfo[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final SurroundInfo NONE

      none

    - #### DPL_ENCODING

          public static final SurroundInfo DPL_ENCODING

      DPL encoding

    - #### DPL2_ENCODING

          public static final SurroundInfo DPL2_ENCODING

      DPL2 encoding

    - #### AMBISONIC

          public static final SurroundInfo AMBISONIC

      ambisonic encoding

    - #### UNKNOWN_1

          public static final SurroundInfo UNKNOWN_1

      unknown

    - #### UNKNOWN_2

          public static final SurroundInfo UNKNOWN_2

      unknown

    - #### UNKNOWN_3

          public static final SurroundInfo UNKNOWN_3

      unknown

    - #### UNKNOWN_4

          public static final SurroundInfo UNKNOWN_4

      unknown

    - #### RESERVED

          public static final SurroundInfo RESERVED

      unknown

  - ### Method Detail

    - #### values

          public static SurroundInfo[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SurroundInfo c : SurroundInfo.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SurroundInfo valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

      gets the name of the surround info.
      Returns:
        the name of the surround info.

    - #### valueOf

          public static SurroundInfo valueOf(int info)
                                      throws java.lang.IllegalArgumentException

      converts an integral value to its corresponding LAME surround info enum.
      Parameters:
        `info` - integral value to be converted to a LAME surround info enum.
      Returns:
        the LAME surround info enum corresponding to the integral value.
      Throws:
        `java.lang.IllegalArgumentException` - if the value is not a valid LAME surround info type.

    - #### toString

          public java.lang.String toString()

      gets a string representation of the surround info enum.
      Overrides:
        `toString` in class `java.lang.Enum<SurroundInfo>`
      Returns:
        a string representation of the surround info enum.